Package: org.gradle.nativeplatform.toolchain

## [Java] Interface CommandLineToolConfiguration

- An executable tool that forms part of a tool chain.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `withArguments(Action<? super List<String>> arguments)` Adds an action that will be applied to the command-line arguments prior to execution.

- - ### Method Detail

    - #### public void withArguments(Action<? super List<String>> arguments)

      Adds an action that will be applied to the command-line arguments prior to execution.